
From: Adrian Bunk <bunk@fs.tum.de>

Removing the cpu selection patch uncovers a bug in my Pentium M I already
wanted to get a brown paperbag for.

Besides this, it seems a small part of the cpu selection patch was actually
in pentium-m-support.



---

 25-akpm/arch/i386/Kconfig         |    4 ++--
 25-akpm/include/asm-i386/module.h |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/i386/Kconfig~pentium-m-support-fixes arch/i386/Kconfig
--- 25/arch/i386/Kconfig~pentium-m-support-fixes	Tue Feb 17 13:04:08 2004
+++ 25-akpm/arch/i386/Kconfig	Tue Feb 17 13:05:52 2004
@@ -335,8 +335,8 @@ config X86_L1_CACHE_SHIFT
 	int
 	default "7" if MPENTIUM4 || X86_GENERIC
 	default "4" if MELAN || M486 || M386
-	default "5" if MWINCHIP3D || MWINCHIP2 || MWINCHIPC6 || MCRUSOE || MCYRIXIII || MK6 || MPENTIUMM || MPENTIUMIII || MPENTIUMII || M686 || M586MMX || M586TSC || M586 || MVIAC3_2
-	default "6" if MK7 || MK8
+	default "5" if MWINCHIP3D || MWINCHIP2 || MWINCHIPC6 || MCRUSOE || MCYRIXIII || MK6 || MPENTIUMIII || MPENTIUMII || M686 || M586MMX || M586TSC || M586 || MVIAC3_2
+	default "6" if MK7 || MK8 || MPENTIUMM
 
 config RWSEM_GENERIC_SPINLOCK
 	bool
diff -puN include/asm-i386/module.h~pentium-m-support-fixes include/asm-i386/module.h
--- 25/include/asm-i386/module.h~pentium-m-support-fixes	Tue Feb 17 13:04:08 2004
+++ 25-akpm/include/asm-i386/module.h	Tue Feb 17 13:04:08 2004
@@ -51,7 +51,7 @@ struct mod_arch_specific
 #elif CONFIG_MVIAC3_2
 #define MODULE_PROC_FAMILY "VIAC3-2 "
 #else
-#define MODULE_PROC_FAMILY "this needs to be fixed"
+#error unknown processor family
 #endif
 
 #define MODULE_ARCH_VERMAGIC MODULE_PROC_FAMILY

_
